{
	name: 'frz',
	effectType: 'Status',
	onStart(target, source, sourceEffect) {
		if (sourceEffect && sourceEffect.effectType === 'Ability') {
			this.add('-status', target, 'frz', '[from] ability: ' + sourceEffect.name, '[of] ' + source);
		} else {
			this.add('-status', target, 'frz');
		}
	},
	onResidualOrder: 10,
	onResidual(pokemon) {
		this.damage(pokemon.baseMaxhp / 16);
	},
	onModifyBasePower(basePower, attacker, defender, move) {
	if (attacker.status === 'frz' && move.category === 'Special') {
		this.debug('Frz halving special move BP');
		return this.chainModify(0.5);
	}
	},
}
